header {
	position: fixed;
	left: 0;
	right: 0;
	z-index: 1000;
}

nav {
	padding: 0 20px;
	margin: 10px;
	background-color: rgba(255, 255, 255, 0.7);
    border-radius: 10px;
}

.nav-links {
	display: flex;
	gap: 50px;
	justify-content: center;
	align-items: center;
	list-style: none;
}

.nav-links li {
	position: relative;
	text-align: center;
}

.nav-links a {
	text-decoration: none;
	color: #000000;
	font-size: 24px;
	font-weight: bold;
	transition: color .5s ease;
	padding: 0.5rem 0;
	display: inline-block;
	width: 100%;
}

.nav-links a:hover {
	color: #05729b;
}

.nav-links .selected {
	color: #05729b;
}

.dropdown-menu {
	display: none;
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translateX( -50% );
	background-color: rgba( 255, 255, 255, .7 ); 
	border-radius: 0 0 10px 10px;
	box-shadow: 0 8px 32px rgba( 0, 0, 0, .1 );
	list-style: none;
}

.dropdown-menu a {
	padding: 0.8rem 1.2rem;
	white-space: nowrap;
}

.dropdown:hover .dropdown-menu {
	display: block;
}

.menu-toggle {
	display: none;
}

.burger-menu {
	cursor: pointer;
	display: none;
	flex-direction: row;
	gap: 10px;
	padding: 10px 0;
	align-items: center;;
}

.burger-title {
	flex-grow: 1;
	font-size: 25px;
	text-align: center;
}

.hamburger-line {
	width: 25px;
	height: 4px;
	background-color: #000000;
	border-radius: 2px;
	margin: 5px 0;
}

@media( max-width: 800px ) {
	.burger-menu {
		display: flex;
	}

	.nav-links {
		background-color: rgba( 255, 255, 255, .7 ); 
		border-radius: 10px;
		box-shadow: 0 8px 32px rgba( 0, 0, 0, .1 );
		display: none;
		flex-direction: column;
		gap: 0;
		position: absolute;
		top: 100%;
		left: 10px;
		width: calc( 100% - 20px );
	}

	.nav-links a {
		font-size: 16px;
	}

	.dropdown-title {
		display: none !important;
	}

	.dropdown-menu {
		display: block;
		position: static;
		transform: none;
		background-color: unset;
		backdrop-filter: none;
		box-shadow: none;
	}

	.dropdown-menu a {
		white-space: wrap;
	}

	.menu-toggle:checked ~ .nav-links {
		display: flex;
	}
}